require 'pry'
require_relative 'lib/address-service'

created_address = AddressService::Address.create('user', {resource_id: '1', name: 'John Smith', line_1: '70 ingelow road', postcode: 'SW83PF'})
search_all = AddressService::Address.list('user')
search_last = AddressService::Address.find('user', '1')

x = rand(1000..100000)
created_address = AddressService::Address.create('user', {resource_id: x, name: 'Steve Smitsh', line_1: '70 ingelow road', postcode: 'SW83PF'})
search_last = AddressService::Address.find('user', x)
puts search_last['name']
updated_address = AddressService::Address.update('user', x, { name: 'John!' } )
search_last = AddressService::Address.find('user', x)
puts search_last['name']

binding.pry

